<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:41 CET 2016 -->
<title>InitialSetupData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InitialSetupData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" target="_top">Frames</a></li>
<li><a href="InitialSetupData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.generalsetup</div>
<h2 title="Class InitialSetupData.Builder" class="title">Class InitialSetupData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.generalsetup.InitialSetupData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">InitialSetupData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#accountingFile-java.lang.String-">accountingFile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accounting file value.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#addReferenceData-com.openbravo.test.integration.erp.data.generalsetup.ModuleReferenceData-">addReferenceData</a></span>(<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">ModuleReferenceData</a>&nbsp;value)</code>
<div class="block">Add a reference data value to the list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#currency-java.lang.String-">currency</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currency value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#dimensionBusinessPartner-java.lang.Boolean-">dimensionBusinessPartner</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the business partner dimension.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#dimensionCampaign-java.lang.Boolean-">dimensionCampaign</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the campaign dimension.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#dimensionProduct-java.lang.Boolean-">dimensionProduct</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the product dimension.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#dimensionProject-java.lang.Boolean-">dimensionProject</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the project dimension.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#dimensionSalesRegion-java.lang.Boolean-">dimensionSalesRegion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the sales region dimension.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#includeAccounting-java.lang.Boolean-">includeAccounting</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the include accounting value.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#referenceDataList-java.util.List-">referenceDataList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">ModuleReferenceData</a>&gt;&nbsp;value)</code>
<div class="block">Set the reference data value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html#requiredFields-java.lang.String-">requiredFields</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;currencyValue)</code>
<div class="block">Set the fields for this object that are required on the ERP.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="currency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currency</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;currency(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currency value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client or organization currency.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="includeAccounting-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeAccounting</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;includeAccounting(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the include accounting value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Indicates whether accounting should be included or not.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountingFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountingFile</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;accountingFile(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accounting file value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client or organization accounting file.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="referenceDataList-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>referenceDataList</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;referenceDataList(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">ModuleReferenceData</a>&gt;&nbsp;value)</pre>
<div class="block">Set the reference data value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client or organization reference data.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="addReferenceData-com.openbravo.test.integration.erp.data.generalsetup.ModuleReferenceData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addReferenceData</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;addReferenceData(<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">ModuleReferenceData</a>&nbsp;value)</pre>
<div class="block">Add a reference data value to the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The reference data value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dimensionBusinessPartner-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dimensionBusinessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;dimensionBusinessPartner(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the business partner dimension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The business partner dimension.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dimensionProduct-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dimensionProduct</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;dimensionProduct(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the product dimension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The product dimension.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dimensionProject-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dimensionProject</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;dimensionProject(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the project dimension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The project dimension.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dimensionCampaign-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dimensionCampaign</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;dimensionCampaign(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the campaign dimension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The campaign dimension.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="dimensionSalesRegion-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dimensionSalesRegion</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;dimensionSalesRegion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the sales region dimension.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The sales region dimension.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="requiredFields-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requiredFields</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData.Builder</a>&nbsp;requiredFields(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;currencyValue)</pre>
<div class="block">Set the fields for this object that are required on the ERP.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currencyValue</code> - The client or organization currency.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup">InitialSetupData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the data object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../com/openbravo/test/integration/erp/data/generalsetup/ModuleReferenceData.html" title="class in com.openbravo.test.integration.erp.data.generalsetup"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?com/openbravo/test/integration/erp/data/generalsetup/InitialSetupData.Builder.html" target="_top">Frames</a></li>
<li><a href="InitialSetupData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
